package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class BackupProxiesSettingsModel {

    private boolean autoSelection;//如果为true，则会自动检测并分配备份代理。默认为true
    private List<String> proxyIds;

    public boolean isAutoSelection() {
        return autoSelection;
    }

    public void setAutoSelection(boolean autoSelection) {
        this.autoSelection = autoSelection;
    }

    public List<String> getProxyIds() {
        return proxyIds;
    }

    public void setProxyIds(List<String> proxyIds) {
        this.proxyIds = proxyIds;
    }

    @Override public String toString() {
        return "BackupProxiesSettingsModel{" + "autoSelection=" + autoSelection + ", proxyIds=" + proxyIds + '}';
    }
}
